curl --request GET \
--url https://cloud.kaneo.app/api/notification-preferences \
--header 'Authorization: Bearer <token>'{
"emailAddress": "<string>",
"emailEnabled": true,
"ntfyEnabled": true,
"ntfyConfigured": true,
"ntfyServerUrl": "<string>",
"ntfyTopic": "<string>",
"ntfyTokenConfigured": true,
"maskedNtfyToken": "<string>",
"gotifyEnabled": true,
"gotifyConfigured": true,
"gotifyServerUrl": "<string>",
"gotifyTokenConfigured": true,
"maskedGotifyToken": "<string>",
"webhookEnabled": true,
"webhookConfigured": true,
"webhookUrl": "<string>",
"webhookSecretConfigured": true,
"maskedWebhookSecret": "<string>",
"workspaces": [
{
"id": "<string>",
"workspaceId": "<string>",
"workspaceName": "<string>",
"isActive": true,
"emailEnabled": true,
"ntfyEnabled": true,
"gotifyEnabled": true,
"webhookEnabled": true,
"projectMode": "all",
"selectedProjectIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": null,
"updatedAt": null
}Get notification delivery preferences for the current user
curl --request GET \
--url https://cloud.kaneo.app/api/notification-preferences \
--header 'Authorization: Bearer <token>'{
"emailAddress": "<string>",
"emailEnabled": true,
"ntfyEnabled": true,
"ntfyConfigured": true,
"ntfyServerUrl": "<string>",
"ntfyTopic": "<string>",
"ntfyTokenConfigured": true,
"maskedNtfyToken": "<string>",
"gotifyEnabled": true,
"gotifyConfigured": true,
"gotifyServerUrl": "<string>",
"gotifyTokenConfigured": true,
"maskedGotifyToken": "<string>",
"webhookEnabled": true,
"webhookConfigured": true,
"webhookUrl": "<string>",
"webhookSecretConfigured": true,
"maskedWebhookSecret": "<string>",
"workspaces": [
{
"id": "<string>",
"workspaceId": "<string>",
"workspaceName": "<string>",
"isActive": true,
"emailEnabled": true,
"ntfyEnabled": true,
"gotifyEnabled": true,
"webhookEnabled": true,
"projectMode": "all",
"selectedProjectIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": null,
"updatedAt": null
}Bearer token authentication
Notification preferences
Show child attributes
Was this page helpful?